% ==============================================
% Calc_Jensen_single
% CBP 28-11-21
% Compares theoretical Jensen expression with
% Floris output
% ===============================================

x=[0.0:0.1:1200];
u0 = 8
uR = 3.93
a = (1 - uR/u0)*0.5;  %Jensen model (far field)
alpha = 0.05
D = 126
uW = u0*(1 - (2*a)./(1+2*alpha*x/D).^2);
uW(1)=u0;
plot(x,uW)

% Floris data goes here -----------------------
A = [

];
hold on

plot(A(:,1),A(:,2),'o')
xlabel('Distance from lead turbine');
ylabel('Wind speed (m/s)');
title('Curve theory, circles Floris');
axis([-100,max(x),0,u0]);
hold off