import matplotlib.pyplot as plt
import floris.tools as wfct

print("=========================================")
print(" 1 - example input")
print(" 2 - single Jensen")
print(" 3 - 2 Jensen")
print(" 4 - 4 Jensen")

#choice = input(' enter your choice   ');

# Initialize the FLORIS interface fi
# For basic usage, the florice interface provides a simplified interface to
# the underlying classes
#if choice == 1:
#    fi = wfct.floris_interface.FlorisInterface("./example_input.json")
#elif choice == 2:
#    fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen.json")
#elif choice == 3:
#fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen2.json")
#else:
#    fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen_4.json")
# fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen_2InLine.json")
# fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen_4InLine.json")
fi = wfct.floris_interface.FlorisInterface("./examples/other_jsons/jensen_6InLine.json")

# Calculate wake
fi.calculate_wake()
power = fi.get_farm_power()

print(" ----------------- ")
print("Total Power = %.2e   ( = %.1f )" % (power , power))
print(" ----------------- ")

# Get horizontal plane at default height (hub-height)
hor_plane = fi.get_hor_plane()

      
# Plot and show
fig, ax = plt.subplots()
wfct.visualization.visualize_cut_plane(hor_plane, ax=ax)
plt.show()
